Browse files

Adding a warning so coders know to upgrade their Django. Will this wo…

…rk in the Apache universe or should I switch to a logging.WARNING message?
  • Loading branch information...
1 parent 1ac4c56 commit c8f3aa659fc9bbf592e7c0cf877d3a11b766eb06 @pydanny pydanny committed Apr 17, 2010
Showing with 3 additions and 0 deletions.
  1. +3 −0 uni_form/templatetags/uni_form_tags.py
View
3 uni_form/templatetags/uni_form_tags.py
@@ -16,6 +16,9 @@
is_old_django = True
if django_version.startswith('1.1.2') or django_version.startswith('1.2'):
is_old_django = False
+else:
+ from warnings import warn
+ warn("""You are using a version of Django that does not support the new csrf_token templatetag. It is advised that you upgrade to 1.1.2, 1.2, or another modern version of Django""")
###################################################
# Core as_uni_form filter.

0 comments on commit c8f3aa6

Please sign in to comment.